Subject: Re: [Capwap] Proposed Resolution for Issue 77: Update figure 1 to depict a generic CAPWAP architecture

From: "Pat Calhoun (pacalhou)" <[email-masked]>
Date: Wed, 24 May 2006 08:30:53 -0700

I agree. those are good changes. I will include them.
 
Thanks,

Pat Calhoun
CTO, Wireless Networking Business Unit
Cisco Systems

________________________________

	From: Dorothy Stanley [mailto:[email-masked]] 
	Sent: Wednesday, May 24, 2006 8:27 AM
	To: Pat Calhoun (pacalhou)
	Cc: capwap
	Subject: Re: [Capwap] Proposed Resolution for Issue 77: Update
figure 1 to depict a generic CAPWAP architecture

	Pat,
	
	Overall - Fine by me also, a couple of suggested edits:
	
	Change "split and local MAC" to "Split and Local MAC"
	Change "The Split MAC mode is one where" to "In Split MAC Mode"
	
	Below Figure 1, delete "diffs from Split MAC as it"
	
	Change "In either case, however, the management frames are
	   processed locally by the WTP"
	
	to
	In either case, the L2 wireless management frames are
	   processed locally by the WTP"
	
	Dorothy

	On 5/22/06, Pat Calhoun (pacalhou) <[email-masked]> wrote: 

		All,
		
		Here is my proposed resolution for the above mentioned
issue. While the
		original issue submitted included a proposed resolution,
it was a
		combined figure that attempted to show all possible
modes of operation, 
		which I found confusing. Instead, I prefer to have a
separate figure
		(and text) to discuss local MAC.
		
		Comments appreciated.
		
		1.  Introduction
		[...]
		
		   CAPWAP assumes a network configuration consisting of
multiple WTPs 
		   communicating via the Internet Protocol (IP) to an
AC.  WTPs are
		   viewed as remote RF interfaces controlled by the AC.
The CAPWAP
		   protocol supports two modes of operation: split and
local MAC.  The
		   Split MAC mode is one where all L2 wireless data and
management 
		   frames are encapsulated via the CAPWAP protocol and
exchanged between
		   the AC and the WTP.  In the example of 802.11, as
shown in Figure 1,
		   the 802.11 frames received from a mobile node (STA)
are directly 
		   encapsulated by the WTP and forwarded to the AC.
		
		              +-+         802.11 frames          +-+
		              | |--------------------------------| |
		              | |              +-+               | |
		              | |--------------| |---------------| |
		              | |  802.11 PHY/ | |     CAPWAP    | |
		              | | MAC sublayer | |               | |
		              +-+              +-+               +-+
		              STA              WTP                AC
		
		   Figure 1: Representative CAPWAP Architecture for
Split MAC
		
		   The Local MAC mode of operation diffs from Split MAC
as it allows for
		   the data frames to be either locally bridged, or
tunneled as 802.3
		   frames.  The latter implies that the WTP performs the
802 bridging
		   function.  In either case, however, the management
frames are
		   processed locally by the WTP, and then forwarded to
the AC.  Figure 2 
		   provides an example using the IEEE 802.11 binding,
where a station
		   transmits an 802.11 frame, which is encapsulated as
802.3 and
		   forwarded to the AC.
		
		              +-+ 802.11 frames +-+ 802.3 frames +-+ 
		              | |---------------| |--------------| |
		              | |               | |              | |
		              | |---------------| |--------------| |
		              | |  802.11 PHY/  | |     CAPWAP   | |
		              | | MAC sublayer  | |              | |
		              +-+               +-+              +-+
		              STA               WTP               AC
		
		   Figure 2: Representative CAPWAP Architecture for
Local MAC
		[...]
		
		Pat Calhoun
		CTO, Wireless Networking Business Unit
		Cisco Systems
	
_________________________________________________________________ 
		To unsubscribe or modify your subscription options,
please visit:
		http://lists.frascone.com/mailman/listinfo/capwap
		
		Archives: http://lists.frascone.com/pipermail/capwap

_________________________________________________________________
To unsubscribe or modify your subscription options, please visit:
http://lists.frascone.com/mailman/listinfo/capwap

Archives: http://lists.frascone.com/pipermail/capwap